# Editor configuration, see http://editorconfig.org

# 表示最顶层的 EditorConfig 配置文件
root = true

[*] # 表示所有文件适用
charset=utf-8 # 设置文件字符集为 utf-8
end_of_line=LF # 控制换行类型(lf | cr | crlf)
insert_final_newline=true# 始终在文件末尾插入一个新行
indent_style=space # 缩进风格（tab | space）
indent_size=2 # 缩进大小
max_line_length = 100
trim_trailing_whitespace = true # 去除行首的任意空白字符

[*.{yml,yaml,json}]# 表示仅 yml,yaml,json} 文件适用以下规则
indent_style = space
indent_size = 2

[*.md] # 表示仅 md 文件适用以下规则
trim_trailing_whitespace = false
max_line_length = off

[Makefile]
indent_style = tab
